.section {
  text-align: center;
  background: $color-bg-3;
}

.flexer {
  margin: auto;
  margin-top: 5rem;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;

  @media (max-width: $sizing-breakpoint-l) {
    flex-direction: column;
    margin-top: 3rem;
  }

  @media (max-width: $sizing-breakpoint-m) {
    margin-top: 0;
  }
}

.blogPostCard {
  @extend %card;
  width: 25rem;
  height: 33.5rem;
  margin: 0 2rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    margin-left: 1rem;
    margin-right: 1rem;
  }

  @media (max-width: $sizing-breakpoint-l) {
    width: 100%;
    max-width: 35rem;
    margin: 1rem auto;

    &:first-child {
      margin-top: 0;
    }

    &:last-child {
      margin-bottom: 0;
    }

    &:not(:first-child) {
      display: none;
    }
  }
}

.featuredImageContainer {
  height: 15rem;

  &:hover {
    opacity: 1;
  }
}

.featureImageWrapper {
  height: inherit;
}

.category {
  position: absolute;
  top: 0;
  left: 0;
  background: $color-bg-4;
  border-bottom-right-radius: $sizing-border-radius;
  padding: 0.4rem 0.8rem;
  text-transform: uppercase;
  color: $color-font-4;
  text-shadow: 1px 1px rgba(0, 0, 0, 0.2);
}

.content {
  flex: 1;
  display: flex;
  flex-direction: column;
  text-align: left;
  padding: 1.5rem;
  font-size: 1.2em;
}

.meta {
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
}

.date {
  white-space: nowrap;
  margin-right: 1rem;
}

.author {
  flex: 1;
  text-align: right;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.copy {
  flex: 1;
  flex-basis: 0;
  overflow: hidden;
}

.title {
  margin-top: 1rem;
  height: 2.25em;
  font-weight: bold;
  @include multi-line-clamp(2);
}

.synopsis {
  margin-top: 1rem;
  @include multi-line-clamp(5);
}

.readMore {
  flex-shrink: 0;
  margin-top: 1rem;
  font-weight: bold;
  text-transform: uppercase;

  span:last-child {
    margin-left: 0.5rem;
    color: $color-bg-4;
  }
}

.buttonRow {
  text-align: center;
  margin-top: 5rem;

  @media (max-width: $sizing-breakpoint-l) {
    margin-top: 3rem;
  }

  @media (max-width: $sizing-breakpoint-m) {
    margin-top: 2rem;
    margin-bottom: 1rem;
  }

  p {
    font-size: 1.6em;
  }
}

.button {
  color: $color-font-1;
}
